Package org.eclipse.gef.palette

# Class PaletteGroup

java.lang.Object
org.eclipse.gef.palette.PaletteEntry
org.eclipse.gef.palette.PaletteContainer
org.eclipse.gef.palette.PaletteGroup

public class PaletteGroup extends PaletteContainer
A PaletteGroup consists of a group of `PaletteEntry` objects that are uncollapsible . The user modification level is set to `PaletteEntry.PERMISSION_NO_MODIFICATION`, meaning that the entries cannot be reordered.

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`PALETTE_TYPE_GROUP`
Type Identifier

### Fields inherited from class org.eclipse.gef.palette.PaletteContainer

`children, PROPERTY_CHILDREN`

### Fields inherited from class org.eclipse.gef.palette.PaletteEntry

`listeners, PALETTE_TYPE_UNKNOWN, PERMISSION_FULL_MODIFICATION, PERMISSION_HIDE_ONLY, PERMISSION_LIMITED_MODIFICATION, PERMISSION_NO_MODIFICATION, PROPERTY_DEFAULT, PROPERTY_DESCRIPTION, PROPERTY_LABEL, PROPERTY_LARGE_ICON, PROPERTY_PARENT, PROPERTY_SMALL_ICON, PROPERTY_TYPE, PROPERTY_VISIBLE`

## Constructor Summary

Constructors
Constructor
Description
`PaletteGroup(String label)`
Creates a new PaletteGroup with the given label
`PaletteGroup(String label, List<? extends PaletteEntry> children)`
Creates a new PaletteGroup with the given label and list of `Palette Entries`.

## Method Summary

### Methods inherited from class org.eclipse.gef.palette.PaletteContainer

`acceptsType, add, add, addAll, appendToSection, getChildren, moveDown, moveUp, remove, setChildren, toString`

### Methods inherited from class org.eclipse.gef.palette.PaletteEntry

`addPropertyChangeListener, getDescription, getId, getLabel, getLargeIcon, getParent, getSmallIcon, getType, getUserModificationPermission, isVisible, removePropertyChangeListener, setDescription, setId, setLabel, setLargeIcon, setParent, setSmallIcon, setType, setUserModificationPermission, setVisible`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Field Details

### PALETTE_TYPE_GROUP

public static final String PALETTE_TYPE_GROUP
Type Identifier

See Also:
  - Constant Field Values

## Constructor Details

### PaletteGroup

public PaletteGroup(String label)
Creates a new PaletteGroup with the given label

Parameters:
  `label` - the label

### PaletteGroup

public PaletteGroup(String label, List<? extends PaletteEntry> children)
Creates a new PaletteGroup with the given label and list of `Palette Entries`.

Parameters:
  `label` - the label
  `children` - the list of PaletteEntry children